<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/common/useful_vars.inc.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
require_once(dirname(__FILE__).'/sushee.class.php');

$sushee = new Sushee_Instance();
$sushee->initialize();

// CHECKING DATABASE CONNECTION
$db_conn = db_connect();
$connected = $db_conn->isConnected();
if(!$connected){
	$msg = 'Database connection problem : '.$db_conn->ErrorMsg();
}else{
	// CHECKING SUSHEE VALIDITY (RESIDENT EXPIRATION DATE)
	$valid = $sushee->checkValidity();
	if(!$valid){
		$msg = $sushee->getError();
	}
}


if(!$valid || !$connected){
	die(
		"<html>
			<head>
				<title>$msg</title>
			</head>
			<body style='text-align:center;margin:0 auto;margin-top:50px;font-size:12px;'>
				<div>$msg</div>
			</body>
		</html>");
}

?>